<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>Enregistrer fichier</title>
        <meta charset="UTF-8">
        <meta name="keywords" content="SportTrack">
        <meta name="author" content="Claire THEBAULT">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Page pour charger un fichier sportif JSON">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"><!-- this is the bootstrap library import -->
        <link rel="stylesheet" href="style.css" /><!--this is the link to the css stylesheet-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"></script>
    </head>
    <header>
      <div class="container-fluid p-3 custom-bg text-white text-center" >
        <h1>Sport Track</h1>
        <p>Enregistrez ou modifiez une activité </p>
      </div>
      <nav class="navbar navbar-expand-sm nav-bg navbar-dark"> <!--Navbar allowing to naviguate between the pages-->
        <a id="compte-link" class="navbar-brand">Compte</a>
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link active" href="chargementfichier.html">Activité</a><!--link to the "Activité" page-->
            </li>
            <li class="nav-item">
                <a class="nav-link" href="connexion.html">Connexion</a><!--link to the "Connexion" page-->
            </li> 
            <li class="nav-item">
                <a class="nav-link" href="inscription.html">Inscription</a><!--link to the "Inscription" page-->
            </li>
            <li class="nav-item">
                <a class="nav-link" href="modification.html">Modification</a><!--link to the "Modification" page-->
            </li> 
        </ul>
        </div>  
      </nav>
    </header>
    <body>
      <main id="main-chargement">
        <div class="center-form ">
          <form>
            <div class="form-container ">
              <label >Ajouter un nouveau fichier <input class="form-control-file" type="file" accept="application/JSON" /></label> <!--accept is here to define the type of file that is accepted, here the user will only be able to upload JSON files-->
              <button class="form-control" type="submit" value="Submit">Ajouter</button>
            </div>
            
          </form>
        </div>
      </main>
    </body>


</html>